## org.apache.batik.script.rhino.svg12
Class SVG12RhinoInterpreter

    java.lang.Object
      org.apache.batik.script.rhino.RhinoInterpreter
          org.apache.batik.script.rhino.svg12.SVG12RhinoInterpreter

All Implemented Interfaces:
  Localizable, Interpreter

    public class SVG12RhinoInterpreter

extends RhinoInterpreter

A RhinoInterpreter for SVG 1.2 documents.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.script.rhino.RhinoInterpreter
`RhinoInterpreter.ArgumentsBuilder, RhinoInterpreter.Entry, RhinoInterpreter.Factory`

Field Summary

Fields inherited from class org.apache.batik.script.rhino.RhinoInterpreter
`BIND_NAME_WINDOW, classShutter, compiledScripts, contextFactory, contexts, defaultContext, globalObject, rhinoClassLoader, securityController, SOURCE_NAME_SVG, TO_BE_IMPORTED, window, wrapFactory`

Constructor Summary
`SVG12RhinoInterpreter(java.net.URL documentURL)` Creates an SVG12RhinoInterpreter object.

Method Summary
`protected org.mozilla.javascript.ScriptableObject` `createGlobalObject(org.mozilla.javascript.Context ctx)` Creates the global object.
`protected void` `defineGlobalWrapperClass(org.mozilla.javascript.Scriptable global)` Defines the class for the global object.

Methods inherited from class org.apache.batik.script.rhino.RhinoInterpreter
`bindObject, dispose, evaluate, evaluate, evaluate, formatMessage, getAccessControlContext, getContextFactory, getGlobalObject, getLocale, getWindow, setLocale, setOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVG12RhinoInterpreter

    public SVG12RhinoInterpreter(java.net.URL documentURL)

  Creates an SVG12RhinoInterpreter object.

Method Detail

### defineGlobalWrapperClass

    protected void defineGlobalWrapperClass(org.mozilla.javascript.Scriptable global)

  Defines the class for the global object.

  Overrides:
    `defineGlobalWrapperClass` in class `RhinoInterpreter`

### createGlobalObject

    protected org.mozilla.javascript.ScriptableObject createGlobalObject(org.mozilla.javascript.Context ctx)

  Creates the global object.

  Overrides:
    `createGlobalObject` in class `RhinoInterpreter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.